from pathlib import Path
from starlette.config import Config
from starlette.datastructures import CommaSeparatedStrings

config = Config(".env")

CONFIGFILE = config("CONFIGFILE", cast=Path, default="/etc/pnpdevice.toml")
DEBUG = config("DEBUG", cast=bool, default=False)
RELAYS_FAKE = config("RELAYS_FAKE", cast=bool, default=False)
# SECRET_KEY = config("SECRET_KEY", cast=Secret)
# ALLOWED_HOSTS = config("ALLOWED_HOSTS", cast=CommaSeparatedStrings)
